%global momorel 5
%global md5sum_src0 f3d16ccfda72fa1dac9fa1ff9ded2c42

Summary: Partition Editor application
Name:    gparted
Version: 0.3.3
Release: %{momorel}m%{?dist}
Group:   Applications/System
License: GPL
URL:     http://gparted.sourceforge.net/
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Source1: %{name}.pam
Source2: %{name}.consoleapp
# 2 byte characters need a wide window
Patch1:  gparted-0.2.5-larger_default_size.patch
Requires: usermode-gtk, gtkmm, parted
# many filesystemtools are automatically recognized by gparted if they are installed
Requires: e2fsprogs, jfsutils, xfsprogs, reiserfsprogs
Requires: ntfsprogs, dosfstools, reiser4progs
# x86_64 may can't build hfsutils
#Requires: hfsutils
BuildRequires: gtkmm-devel >= 2.8.8
BuildRequires: parted-devel >= 1.8.6
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
GParted is the Gnome Partition Editor application. Before attempting to use it, here is some basic background information.

A hard disk is usually subdivided into one or more partitions. These partitions are normally not re-sizable (making one larger and the adjacent one smaller) The purpose of GParted is to allow the individual to take a hard disk and change the partition organization therein, while preserving the partition contents.

GParted is an industrial-strength package for creating, destroying, resizing, checking and copying partitions, and the file systems on them. This is useful for creating space for new operating systems, reorganizing disk usage, copying data residing on hard disks and mirroring one partition with another (disk imaging).

GParted uses GNU libparted to detect and manipulate devices and partitiontables.

Several (optional) "file system" tools provide support for file systems not included in libparted.
These optional packages will be detected at runtime and do not require a rebuild of GParted.

%prep
%setup -q 
%patch1 -p1 -b .largerwindow

%build
autoreconf -vfi
%configure --bindir=%{_sbindir}
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

## desktop
%__mkdir_p %{buildroot}%{_datadir}/applications
# install desktop file
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
    --remove-category GNOME \
    --add-category System \
    --remove-category Application \
    ./%{name}.desktop

# Full Path
sed -i 's@Exec=gparted@Exec=/usr/bin/gparted@' \
    %{buildroot}%{_datadir}/applications/gparted.desktop

# PAM configuration
install -dm 755 %{buildroot}%{_bindir}
ln -s consolehelper %{buildroot}%{_bindir}/gparted
install -Dpm 644 %{SOURCE1} \
  %{buildroot}%{_sysconfdir}/pam.d/gparted
install -Dpm 644 %{SOURCE2} \
  %{buildroot}%{_sysconfdir}/security/console.apps/gparted

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README INSTALL ChangeLog AUTHORS COPYING NEWS
%config(noreplace) %{_sysconfdir}/pam.d/gparted
%config(noreplace) %{_sysconfdir}/security/console.apps/gparted
%{_sbindir}/gparted
%{_bindir}/gparted
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop

%changelog
* Sun Jul 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.3-5m)
- fix desktop file (spec full path)

* Mon Jun 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-4m)
- update gparted.pam for new pam

* Sun Jun 17 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.3.3-3m)
- rebuild against parted-1.8.6

* Wed Feb 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.3-2m)
- rebuild against parted-1.8.2

* Fri Dec 08 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.3.3-1m)
- 0.3.3 has been released

* Sat Oct 14 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.3.1-1m)
- 0.3.1 has been released

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.5-5m)
- remove category Application

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.2.5-4m)
- rebuild against expat-2.0.0-1m

* Tue Jun 06 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.2.5-3m)
- update ja.po to an official CVS version

* Sat May 20 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.2.5-2m)
- rebuild against gtkmm-2.8.8

* Fri May 19 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.2.5-1m)
- import to Momonga
- added ja.po
